## kde-gtk-config 2.1

=== debian/changelog ===
kde-gtk-config (3:2.1-1ubuntu1) quantal; urgency=low

  * Merge with Debian for bugfix release LP: #1047387
    remaining changes:
   - Remove build dependency on libgtk2.0-dev and libgtk-3-dev.
   - Add patch debian/patches/kubuntu_01_no_gtk.diff
  * Fixes ability to scan for gtk settings LP: #1058464

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 07 Sep 2012 22:01:43 +0300

kde-gtk-config (3:2.1-1) unstable; urgency=low

  * Update to stable release 2.1.
  * Deleted file debian/patches/fix-build-on-kfreebsd-and-hurd-i386:
    accepted in upstream.
  * Added file debian/patches/fix-loading-icons:
    without this patch KDE-GTK-Config module scans ./ directory if option
    gtk-icon-theme-name or option gtk-fallback-icon-theme is empty or invalid,
    now first element from the list of found icon themes is used.
    (Closes: #678714)

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 21 Aug 2012 00:22:23 +0300

kde-gtk-config (3:2.0-3ubuntu1) quantal; urgency=low

  * Add patch kubuntu_01_no_gtk.diff to remove build and run dependency
    on gtk 2 and 3
  * Remove build-dep on gtk 2 and 3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Aug 2012 13:42:20 +0100

kde-gtk-config (3:2.0-3) unstable; urgency=low

  * Package moved to unstable after tests: no changes required.
  * This package replaces src:kcm-gtk and closes its bugs:
    - fixed working on clean install (Closes: #631591)
    - added support of Gtk+ 3.x (LP: #734979)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 08 Jun 2012 07:06:54 +0300

kde-gtk-config (3:2.0-2) experimental; urgency=low

  * Added file debian/patches/fix-build-on-kfreebsd-and-hurd-i386:
    fixes FTBFS in Debian GNU/kFreeBSD and in Debian GNU/Hurd.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 06 Jun 2012 19:50:31 +0300

kde-gtk-config (3:2.0-1) experimental; urgency=low

  * Initial release (closes: #659103).

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 13 Mar 2012 06:57:17 +0200

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version --destdir=..

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/kde-gtk-config/([\d\.]+)/src/kde-gtk-config-([\d\.]+)\.tar\.bz2 \
  debian git-import-orig

## kde-gtk-config 2.2.1

=== CMakeLists.txt ===
project(kdegtkconfig)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
    ${CMAKE_SOURCE_DIR} 
    ${CMAKE_SOURCE_DIR}/src 
    ${CMAKE_SOURCE_DIR}/src/ui 
    ${KDE4_INCLUDES} ${QT_INCLUDES})

set(kcm_SRCS
     src/iconthemesmodel.cpp
     src/appearancegtk3.cpp
     src/appearancegtk2.cpp
     src/appearencegtk.cpp
     src/abstractappearance.cpp
     src/thread.cpp
     src/installer.cpp 
     src/gtkconfigkcmodule.cpp
     src/dialog_installer.cpp 
     src/dialog_uninstaller.cpp 
)

set(GHNS_FILES 
     cgcicon.knsrc
     cgctheme.knsrc
     cgcgtk3.knsrc
)

kde4_add_ui_files(kcm_SRCS 
     src/ui/gui.ui 
     src/ui/dialog_installer.ui 
     src/ui/dialog_uninstaller.ui
)
kde4_add_plugin(kcm_cgc ${kcm_SRCS})

target_link_libraries(kcm_cgc ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBS})

install(TARGETS kcm_cgc DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ${GHNS_FILES} DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES kde-gtk-config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(gtkproxies)
add_subdirectory(gtk3proxies)
add_subdirectory(icons)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== gtk3proxies/CMakeLists.txt ===
find_package(GTK3 REQUIRED)

include_directories(${GTK3_INCLUDE_DIRS})

add_definitions("-DDATA_DIR=\\\"${DATA_INSTALL_DIR}/kcm-gtk-module/\\\"")

add_executable(gtk3_preview preview3.c)
target_link_libraries(gtk3_preview ${GTK3_LIBRARY} ${GOBJECT2_LIBRARY} ${GLIB2_LIBRARY})
install(TARGETS gtk3_preview  RUNTIME DESTINATION "${KDE4_LIBEXEC_INSTALL_DIR}")

=== gtkproxies/CMakeLists.txt ===
find_package(GTK2 REQUIRED)

include_directories(${GTK2_INCLUDE_DIRS})

add_executable(reload_gtk_apps reload.c)
target_link_libraries(reload_gtk_apps ${GTK2_LIBRARIES})
install(TARGETS reload_gtk_apps RUNTIME DESTINATION "${KDE4_LIBEXEC_INSTALL_DIR}")

add_definitions("-DDATA_DIR=\\\"${DATA_INSTALL_DIR}/kcm-gtk-module/\\\"")

add_executable(gtk_preview preview.c)
target_link_libraries(gtk_preview ${GTK2_LIBRARIES} ${GTK2_GIOMM_LIBRARY})
install(TARGETS gtk_preview RUNTIME DESTINATION "${KDE4_LIBEXEC_INSTALL_DIR}")

# preview file used for the gtk3 version too
install(FILES preview.ui
    DESTINATION ${DATA_INSTALL_DIR}/kcm-gtk-module/)

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( id )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

## kde-gtk-config 2.1.1

=== debian/changelog ===
kde-gtk-config (3:2.1.1-1~exp1ubuntu1) raring; urgency=low

  * Merge with Debian experimental (LP: #1077846)
  * Demote kde-config-gtk-style-preview from recommends to suggests.
    The point of the separated package is to allow Kubuntu to ship the KCM
    in the ISO without dragging in half the GTK+ universe. So since we install
    recommends by default suggests is the relationship of choice.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 13 Nov 2012 12:03:49 +0100

kde-gtk-config (3:2.1.1-1~exp1) experimental; urgency=low

  * Update to stable release 2.1.1.
  * Delete debian/patches/fix-loading-icons: now available in upstream.
  * Add debian/patches/check-gtk-preview-files-in-runtime:
    check if binary files for previewing Gtk themes are available.
  * Update debian/control:
    - add package kde-config-gtk-style-preview
    - update long description of package kde-config-gtk-style
    - kde-config-gtk-style recommends kde-config-gtk-style-preview
  * Rename debian/manpages to debian/kde-config-gtk-style-preview.manpages.
  * Add files debian/*.install: see above.
  * Fix get-orig-source section in according with Debian Policy §4.9.
  * Small fix in debian/watch.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 07 Nov 2012 00:35:58 +0200

=== debian/control ===
Source: kde-gtk-config
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 8), cmake,
 kdelibs5-dev, pkg-kde-tools, libgtk2.0-dev, libgtk-3-dev
Homepage: https://projects.kde.org/projects/playground/base/kde-gtk-config
Vcs-Git: git://github.com/tehnick/kde-gtk-config-debian.git
Vcs-Browser: https://github.com/tehnick/kde-gtk-config-debian
Standards-Version: 3.9.3

Package: kde-config-gtk-style
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kde-config-gtk-style-preview
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
  .
  This package contains kde-gtk-config module for KDE System Settings and
  common files (icons, localization files and etc).

Package: kde-config-gtk-style-preview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
  .
  This package contains binary files for previewing Gtk themes and applying
  them without restarting of Gtk applications.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,6 @@
 	dh $@ --parallel
 
 get-orig-source:
-	uscan --noconf --verbose --force-download --rename --download-current-version --destdir=..
+	uscan --noconf --verbose --force-download --rename --download-current-version
 
 .PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/kde-gtk-config/([\d\.]+)/src/kde-gtk-config-([\d\.]+)\.tar\.bz2 \
  debian get-orig-source

## kde-gtk-config 2.2.1

=== debian/changelog ===
kde-gtk-config (3:2.2.1-1fakesync1) saucy-proposed; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 25 May 2013 23:55:43 -0400

kde-gtk-config (3:2.2.1-1) unstable; urgency=low

  * Update to stable release 2.2.1.
  * Move package to unstable: no changes required.
  * Update debian/*.install due to changes in upstream sources.
  * Delete debian/patches/check-gtk-preview-files-in-runtime:
    now available in upstream.
  * Delete files:
    - debian/gtk3_preview.1
    - debian/gtk_preview.1
    - debian/kde-config-gtk-style-preview.manpages
    - debian/reload_gtk_apps.1
    these binary files were moved from /usr/bin to /usr/lib/kde4
    so manpages are not required anymore.
  * Rename debian/patches/mirgation-from-package-src:kcm-gtk
    to debian/patches/migration-from-package-src:kcm-gtk and
    update it. (Thanks to Ralf Jung)
  * Package kde-config-gtk-style now suggests package
    kde-config-gtk-style-preview (instead of recommends)
    because now binary file reload_gtk_apps is in package
    kde-config-gtk-style.
  * Add debian/patches/fix-loading-config-options:
    fix loading of config options. (Closes: #708169)
  * Add debian/patches/fix-desktop-file:
    - fix errors in desktop file
    - use icon name gtkconfig instead of kde-gtk-config
  * Update debian/rules:
    rename icon kde-gtk-config.png to gtkconfig.png
  * Update Vcs-* fields in debian/control:
    git repo was moved from GitHub to Alioth.
  * Update debian/copyright.
  * Update debian/watch.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 23 May 2013 02:05:43 +0300

kde-gtk-config (3:2.1.1-1) experimental; urgency=low

  * Update project Homepage.
  * Update debian/control for kde-config-gtk-style-preview:
    - add Breaks against old kde-config-gtk-style (Closes: #698285)
    - add Recommends against kde-config-gtk-style
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 20 Jan 2013 15:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Boris Pek <tehnick-8@mail.ru>
 Build-Depends: debhelper (>= 8), cmake,
  kdelibs5-dev, pkg-kde-tools, libgtk2.0-dev, libgtk-3-dev
-Homepage: https://projects.kde.org/projects/playground/base/kde-gtk-config
-Vcs-Git: git://github.com/tehnick/kde-gtk-config-debian.git
-Vcs-Browser: https://github.com/tehnick/kde-gtk-config-debian
-Standards-Version: 3.9.3
+Homepage: https://projects.kde.org/projects/extragear/base/kde-gtk-config
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-gtk-config.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-gtk-config.git
+Standards-Version: 3.9.4
 
 Package: kde-config-gtk-style
 Architecture: any
@@ -30,6 +30,8 @@
 Package: kde-config-gtk-style-preview
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: kde-config-gtk-style
+Breaks: kde-config-gtk-style (<< 3:2.1.1-1~exp1~)
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
  Configuration dialog to adapt GTK+ applications appearance to your taste
  under KDE. Among its many features, it lets you:

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 %:
 	dh $@ --parallel
 
+override_dh_install:
+	mv debian/tmp/usr/share/icons/hicolor/48x48/apps/kde-gtk-config.png \
+	   debian/tmp/usr/share/icons/hicolor/48x48/apps/gtkconfig.png
+	dh_install
+
 get-orig-source:
 	uscan --noconf --verbose --force-download --rename --download-current-version

=== debian/watch ===
version=3
opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/kde-gtk-config/([\d\.]+)/src/kde-gtk-config-([\d\.]+)\.tar\.xz \
  debian get-orig-source

## kde-gtk-config 5.2.2

=== debian/changelog ===
kde-gtk-config (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:12:23 -0700

kde-gtk-config (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:36:51 -0800

kde-gtk-config (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:50:24 +0100

kde-gtk-config (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Bump dh compat to 9
  * Switch to autpkgtest since tests require fonts.
  * Drop all patches, no longer applicable due to kf5 port.

 -- Harald Sitter <sitter@kde.org>  Thu, 15 Jan 2015 01:21:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,28 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 8), cmake,
- kdelibs5-dev, pkg-kde-tools, libgtk2.0-dev, libgtk-3-dev
-Homepage: https://projects.kde.org/projects/extragear/base/kde-gtk-config
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-gtk-config.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-gtk-config.git
-Standards-Version: 3.9.4
+Build-Depends: cmake,
+               debhelper (>= 8),
+               extra-cmake-modules,
+               libgtk-3-dev,
+               libgtk2.0-dev,
+               libkf5archive-dev,
+               libkf5configwidgets-dev,
+               libkf5i18n-dev,
+               libkf5kcmutils-dev,
+               libkf5newstuff-dev,
+               pkg-kde-tools
+Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kde-gtk-config.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kde-gtk-config.git
+Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 
 Package: kde-config-gtk-style
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: kde-config-gtk-style-preview
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
  Configuration dialog to adapt GTK+ applications appearance to your taste
@@ -29,9 +38,8 @@
 
 Package: kde-config-gtk-style-preview
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-config-gtk-style
-Breaks: kde-config-gtk-style (<< 3:2.1.1-1~exp1~)
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
  Configuration dialog to adapt GTK+ applications appearance to your taste
  under KDE. Among its many features, it lets you:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

.PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox, ttf-oxygen-font-family
Restrictions: rw-build-tree

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/kde-gtk-config-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/kde-gtk-config-(.*)\.tar\.xz

## kde-gtk-config 5.4.2

=== debian/changelog ===
kde-gtk-config (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:52:02 +0100

kde-gtk-config (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:13:42 +0100

kde-gtk-config (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:47:51 +0100

kde-gtk-config (4:5.3.95-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:12:19 +0200

kde-gtk-config (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:26:27 +0000

kde-gtk-config (4:5.3.1-0ubuntu2) wily; urgency=medium

  * debian/tests/control: Dep on fonts-oxygen: ttf-oxygen-font-family was
    dropped.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 10 Jun 2015 12:27:32 +0100

kde-gtk-config (4:5.3.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:26:22 +0200

kde-gtk-config (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:56:51 +0200

kde-gtk-config (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New patch: fix_fonthelper
  * New upstream release (5.2.2).
  * Remove patch: fix_fonthelper

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:51 +0100

kde-gtk-config (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 00:40:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: cmake,
-               debhelper (>= 8),
-               extra-cmake-modules,
+Uploaders: Boris Pek <tehnick-8@mail.ru>, Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 0.0.9),
+               kio-dev,
                libgtk-3-dev,
                libgtk2.0-dev,
                libkf5archive-dev,
                libkf5configwidgets-dev,
                libkf5i18n-dev,
+               libkf5iconthemes-dev,
                libkf5kcmutils-dev,
                libkf5newstuff-dev,
-               pkg-kde-tools
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.4)
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kde-gtk-config.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kde-gtk-config.git

## kde-gtk-config 5.5.5

=== CMakeLists.txt ===
project(kde-gtk-config)
set(PROJECT_VERSION "5.5.5")
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Widgets Test)
find_package(KF5 REQUIRED COMPONENTS I18n KIO ConfigWidgets NewStuff Archive KCMUtils IconThemes)

include_directories(
    ${CMAKE_SOURCE_DIR} 
    ${CMAKE_SOURCE_DIR}/src 
    ${CMAKE_SOURCE_DIR}/src/ui 
)

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

# Set KI18n translation domain
add_definitions(-DTRANSLATION_DOMAIN=\"kde-gtk-config\")

set(kcm_SRCS
     src/iconthemesmodel.cpp
     src/appearancegtk3.cpp
     src/appearancegtk2.cpp
     src/appearencegtk.cpp
     src/abstractappearance.cpp
     src/thread.cpp
     src/installer.cpp 
     src/gtkconfigkcmodule.cpp
     src/dialog_installer.cpp 
     src/dialog_uninstaller.cpp 
     src/fontshelpers.cpp
)

set(GHNS_FILES 
     cgcicon.knsrc
     cgctheme.knsrc
     cgcgtk3.knsrc
)

ki18n_wrap_ui(kcm_SRCS 
     src/ui/gui.ui 
     src/ui/dialog_installer.ui 
     src/ui/dialog_uninstaller.ui
)
add_library(kcm_kdegtkconfig MODULE ${kcm_SRCS})
target_compile_definitions(kcm_kdegtkconfig PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kcm_kdegtkconfig KF5::I18n KF5::KIOWidgets KF5::NewStuff KF5::Archive KF5::NewStuff KF5::ConfigWidgets KF5::IconThemes)

kcoreaddons_desktop_to_json(kcm_kdegtkconfig kde-gtk-config.desktop)

install(TARGETS kcm_kdegtkconfig DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ${GHNS_FILES} DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES kde-gtk-config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(gtkproxies)
add_subdirectory(gtk3proxies)
add_subdirectory(icons)
add_subdirectory(tests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
kde-gtk-config (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:35:38 -0700

kde-gtk-config (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:19:41 +0100

kde-gtk-config (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:28:28 +0100

kde-gtk-config (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:02 +0100

kde-gtk-config (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:18 +0200

kde-gtk-config (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:34 +0200

kde-gtk-config (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 13:20:05 +0200

kde-gtk-config (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 17:34:58 +0200

kde-gtk-config (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 23:01:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,25 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Boris Pek <tehnick-8@mail.ru>, Maximiliano Curia <maxy@debian.org>
+Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9),
-               kio-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev,
-               libkf5configwidgets-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev,
-               libkf5newstuff-dev,
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5kcmutils-dev (>= 5.18.0~),
+               libkf5newstuff-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.4)
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kde-gtk-config.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kde-gtk-config.git
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 
 Package: kde-config-gtk-style
 Architecture: any

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox, fonts-oxygen
Restrictions: rw-build-tree

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kde-gtk-config-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/kde-gtk-config-([\d.]+)\.tar\.xz

## kde-gtk-config 5.7.5

=== debian/changelog ===
kde-gtk-config (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:25:43 -0500

kde-gtk-config (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:04:15 +0000

kde-gtk-config (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:43:23 +0100

kde-gtk-config (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:14:46 -0700

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.18.0~),
-               libkf5configwidgets-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5kcmutils-dev (>= 5.18.0~),
-               libkf5newstuff-dev (>= 5.18.0~),
+               libkf5archive-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kde-gtk-config.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kde-gtk-config.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Standards-Version: 3.9.6
 
 Package: kde-config-gtk-style

## kde-gtk-config 5.8.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kde-gtk-config)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.6")
 cmake_minimum_required(VERSION 2.8.12)
 
 find_package(ECM 0.0.9 REQUIRED NO_MODULE)
@@ -7,6 +7,7 @@
 
 find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Widgets Test)
 find_package(KF5 REQUIRED COMPONENTS I18n KIO ConfigWidgets NewStuff Archive KCMUtils IconThemes)
+find_package(X11 REQUIRED)
 
 include_directories(
     ${CMAKE_SOURCE_DIR} 
@@ -21,13 +22,14 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 # Set KI18n translation domain
 add_definitions(-DTRANSLATION_DOMAIN=\"kde-gtk-config\")
 
 set(kcm_SRCS
      src/iconthemesmodel.cpp
+     src/cursorthemesmodel.cpp
      src/appearancegtk3.cpp
      src/appearancegtk2.cpp
      src/appearencegtk.cpp
@@ -53,7 +55,7 @@
 )
 add_library(kcm_kdegtkconfig MODULE ${kcm_SRCS})
 target_compile_definitions(kcm_kdegtkconfig PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-target_link_libraries(kcm_kdegtkconfig KF5::I18n KF5::KIOWidgets KF5::NewStuff KF5::Archive KF5::NewStuff KF5::ConfigWidgets KF5::IconThemes)
+target_link_libraries(kcm_kdegtkconfig ${X11_Xcursor_LIB} KF5::I18n KF5::KIOWidgets KF5::NewStuff KF5::Archive KF5::NewStuff KF5::ConfigWidgets KF5::IconThemes)
 
 kcoreaddons_desktop_to_json(kcm_kdegtkconfig kde-gtk-config.desktop)

=== debian/changelog ===
kde-gtk-config (4:5.8.6-1+deb9u1) stretch; urgency=medium

  * Update debian/rules:
    set DATA_INSTALL_DIR variable in configuration options: it is required
    for correct search of preview.ui file in gtk*_preview programs.
    (These programs have not been working since version 4:5.1.95-0ubuntu1)
  * Add patch fix-search-of-gtk-preview-executables.
    It is required for showing preview buttons in KDE-GTK-config UI.
    (These buttons have not been working since version 4:5.1.95-0ubuntu1)

 -- Boris Pek <tehnick@debian.org>  Tue, 03 Oct 2017 17:31:46 +0300

kde-gtk-config (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 14 Mar 2017 15:23:29 +0100

kde-gtk-config (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:13 +0100

kde-gtk-config (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:35:00 +0100

kde-gtk-config (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:19:42 +0200

kde-gtk-config (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:57:06 +0200

kde-gtk-config (4:5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Replace dbus-launch with dbus-run-session in tests

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:02:16 +0200

kde-gtk-config (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:47:25 +0200

kde-gtk-config (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:13:23 +0200

kde-gtk-config (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 09:41:49 +0200

kde-gtk-config (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 19:14:42 +0200

kde-gtk-config (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 0.0.9),
+               libkf5kio-dev,
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5archive-dev,
+               libkf5configwidgets-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5kcmutils-dev,
+               libkf5newstuff-dev,
+               libx11-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.4)
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kde-gtk-config.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kde-gtk-config.git
+Standards-Version: 3.9.8
 
 Package: kde-config-gtk-style
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	dh_auto_configure -- -DDATA_INSTALL_DIR="/usr/share/"

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox, fonts-oxygen
Restrictions: rw-build-tree

## kde-gtk-config 5.9.4

=== debian/changelog ===
kde-gtk-config (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:08 +0000

kde-gtk-config (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:05 +0000

kde-gtk-config (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:12 +0000

kde-gtk-config (4:5.9.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.

  [ Rik Mills ]
  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:07 +0000

kde-gtk-config (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:38 +0000

kde-gtk-config (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:26 +0000

kde-gtk-config (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Merge from debian, changing kio-dev build deps to new kf5 name
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:53:50 +0000

## kde-gtk-config 5.9.5

=== debian/changelog ===
kde-gtk-config (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9),
-               libkf5kio-dev,
+               extra-cmake-modules (>= 5.31.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev,
-               libkf5configwidgets-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev,
-               libkf5newstuff-dev,
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kde-gtk-config.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kde-gtk-config.git
-Standards-Version: 3.9.8
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 
 Package: kde-config-gtk-style
 Architecture: any

## kde-gtk-config 5.10.5

=== debian/changelog ===
kde-gtk-config (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:15 +0100

kde-gtk-config (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:08 +0100

kde-gtk-config (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:42 +0100

kde-gtk-config (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:11:53 +0100

kde-gtk-config (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:35 +0100

kde-gtk-config (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:48:54 +0100

kde-gtk-config (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5archive-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5iconthemes-dev (>= 5.36.0~),
+               libkf5kcmutils-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5newstuff-dev (>= 5.36.0~),
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~)

## kde-gtk-config 5.12.4

=== CMakeLists.txt ===
project(kde-gtk-config)
set(PROJECT_VERSION "5.12.4")
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Widgets Test)
find_package(KF5 REQUIRED COMPONENTS I18n KIO ConfigWidgets NewStuff Archive KCMUtils IconThemes)
find_package(X11 REQUIRED)
find_package(GTK3 REQUIRED)
find_package(GSettingSchemas REQUIRED)

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/ui
    ${GTK3_INCLUDE_DIRS}
)

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# Set KI18n translation domain
add_definitions(-DTRANSLATION_DOMAIN=\"kde-gtk-config\")

set(kcm_SRCS
     src/iconthemesmodel.cpp
     src/cursorthemesmodel.cpp
     src/appearancegtk3.cpp
     src/appearancegtk2.cpp
     src/appearencegtk.cpp
     src/abstractappearance.cpp
     src/thread.cpp
     src/installer.cpp
     src/gtkconfigkcmodule.cpp
     src/dialog_installer.cpp
     src/dialog_uninstaller.cpp
     src/fontshelpers.cpp
)

ki18n_wrap_ui(kcm_SRCS
     src/ui/gui.ui
     src/ui/dialog_installer.ui
     src/ui/dialog_uninstaller.ui
)
add_library(kcm_kdegtkconfig MODULE ${kcm_SRCS})
target_compile_definitions(kcm_kdegtkconfig PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kcm_kdegtkconfig ${X11_Xcursor_LIB} ${GIO2_LIBRARY} ${GLIB2_LIBRARY} ${GTK3_LIBRARY} ${GOBJECT2_LIBRARY} KF5::ConfigCore KF5::I18n KF5::KIOWidgets KF5::NewStuff KF5::Archive KF5::NewStuff KF5::ConfigWidgets KF5::IconThemes)

kcoreaddons_desktop_to_json(kcm_kdegtkconfig kde-gtk-config.desktop)

install(TARGETS kcm_kdegtkconfig DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES cgctheme.knsrc cgcgtk3.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES kde-gtk-config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(gtkproxies)
add_subdirectory(gtk3proxies)
add_subdirectory(icons)
add_subdirectory(tests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
kde-gtk-config (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:27 +0100

kde-gtk-config (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:39 +0000

kde-gtk-config (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:14 +0000

kde-gtk-config (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:18 +0000

kde-gtk-config (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:45 +0000

kde-gtk-config (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:25 +0000

kde-gtk-config (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:14 -0600

kde-gtk-config (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * Drop upstream_fix_systems_without_gtkrc_in_etc.patch
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:51 +0000

kde-gtk-config (4:5.11.2a-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * Rename tarball after upstream respin
  * Add upstream_fix_systems_without_gtkrc_in_etc.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 24 Oct 2017 13:20:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.36.0~),
-               libkf5configwidgets-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5iconthemes-dev (>= 5.36.0~),
-               libkf5kcmutils-dev (>= 5.36.0~),
-               libkf5kio-dev (>= 5.36.0~),
-               libkf5newstuff-dev (>= 5.36.0~),
+               libkf5archive-dev (>= 5.42.0~),
+               libkf5configwidgets-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5iconthemes-dev (>= 5.42.0~),
+               libkf5kcmutils-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5newstuff-dev (>= 5.42.0~),
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~)

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox, fonts-oxygen
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kde-gtk-config-([\d.]+)\.tar\.xz
